
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "game_of_life_gto/version"

Gem::Specification.new do |spec|
  spec.name          = "game_of_life_gto"
  spec.version       = GameOfLifeGto::VERSION
  spec.authors       = ["Jaimelr"]
  spec.email         = ["j.loyolarangel@gmail.com"]

  spec.summary       = %q{A Ruby implementation of Conway's Game of Life}
  spec.description   = %q{A Ruby implementation of Conway's Game of Life to play in terminal with example patterns to watch}
  spec.homepage      = "https://github.com/jaimelr/game-of-life"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.3.0"
end
