# Conway's Game of Life by JJaimelr
This is an implementation of the classic Conway's Game of Life using the Ruby
language.

The is displayed in console.

## Patterns
The game has attached many common patterns of different types discovered in the Game of life.

### Still Life
The block:
![Block](http://web.stanford.edu/%7Ecdebs/GameOfLife/img/still/block.png)

### Oscillators
- Blinker:
  ![Blincker](http://web.stanford.edu/%7Ecdebs/GameOfLife/img/oscillators/blinker.gif)
- Beacon:
  ![Beacon](http://web.stanford.edu/%7Ecdebs/GameOfLife/img/oscillators/beacon.gif)
- Pulsar:
  ![Pulsar](http://web.stanford.edu/%7Ecdebs/GameOfLife/img/oscillators/toad.gif)
- Gliders and Spaceships
  ![Glider](http://web.stanford.edu/%7Ecdebs/GameOfLife/img/spaceships/glider.gif)

## Installation

Add this line to your application's Gemfile:

gem 'game_of_life_gto'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install game_of_life_gto

## Usage

Open your IRB console with:

    $ irb

The start the game with the following command:

    > Life.start

And let the fun begin! (So to say).
